## git-pw 2.0.0

=== requirements.txt ===
click>=6.0,<8.0
requests>2.0,<3.0
tabulate>=0.8
arrow>=0.10

=== docs/requirements.txt ===
-r ../requirements.txt
sphinx>=1.5,<2.0
sphinx-click>=2.0,<3.0
reno>=3.0,<4.0
sphinx-rtd-theme==0.4.3

=== debian/changelog ===
git-pw (2.0.0-2) unstable; urgency=medium

  * Source upload.
  * Fix copyright templates.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Nov 2020 21:18:05 +0000

git-pw (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #971795)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 30 Sep 2020 01:49:29 +0100

=== debian/control ===
Source: git-pw
Section: python
Priority: optional
Maintainer: Dimitri John Ledkov <xnox@ubuntu.com>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-pbr, python3-mock, python3-click, python3-packaging, python3-pytest, python3-tabulate, python3-arrow, python3-requests, git
Standards-Version: 4.5.0
Homepage: https://github.com/getpatchwork/git-pw
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: git-pw
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: tool for integrating Git with Patchwork
 Patchwork is the web-based patch tracking system, this tool helps to
 integrate with it.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=git-pw
export PYBUILD_BEFORE_TEST=cp -r {dir}/*.egg-info {build_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%git-pw-$1.tar.gz%" \
    https://github.com/getpatchwork/git-pw/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
